Package eu.mhsl.minenet.minigames.message.component

# Class TranslatedComponent

java.lang.Object
eu.mhsl.minenet.minigames.message.component.TranslatedComponent

All Implemented Interfaces:
  `Translatable`, `net.kyori.adventure.text.ComponentLike`

public class TranslatedComponent extends Object implements net.kyori.adventure.text.ComponentLike, Translatable

- ## Method Summary

  Modifier and Type
  Method
  Description
  `@NotNull net.kyori.adventure.text.Component`
  `asComponent()`
  `void`
  `assemble(String language)`
  `void`
  `assemble(net.minestom.server.entity.Player p)`
  `net.kyori.adventure.text.Component`
  `getAssembled(net.minestom.server.entity.Player p)`
  `static TranslatedComponent`
  `raw(String mapId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### raw

    public static TranslatedComponent raw(String mapId)

  - ### assemble

    public void assemble(net.minestom.server.entity.Player p)
    Specified by:
      `assemble` in interface `Translatable`

  - ### assemble

    public void assemble(String language)

  - ### getAssembled

    public net.kyori.adventure.text.Component getAssembled(net.minestom.server.entity.Player p)

  - ### asComponent

    @NotNull public @NotNull net.kyori.adventure.text.Component asComponent()
    Specified by:
      `asComponent` in interface `net.kyori.adventure.text.ComponentLike`